apiVersion: v1
items:
- apiVersion: policy/v1beta1
  kind: PodSecurityPolicy
  metadata:
    annotations:
      seccomp.security.alpha.kubernetes.io/allowedProfileNames: '*'
    creationTimestamp: "2022-04-12T22:05:04Z"
    name: calico-kube-controllers
    ownerReferences:
    - apiVersion: operator.tigera.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: Installation
      name: default
      uid: 9da5bbbb-e112-444d-8e72-580fb40e1f2a
    resourceVersion: "48032731"
    uid: 4ed615a7-ae05-495b-bdb7-12169e05096b
  spec:
    allowPrivilegeEscalation: false
    fsGroup:
      ranges:
      - max: 65535
        min: 1
      rule: MustRunAs
    hostPorts:
    - max: 65535
      min: 0
    requiredDropCapabilities:
    - ALL
    runAsUser:
      rule: MustRunAsNonRoot
    seLinux:
      rule: RunAsAny
    supplementalGroups:
      ranges:
      - max: 65535
        min: 1
      rule: MustRunAs
    volumes:
    - configMap
    - emptyDir
    - projected
    - secret
    - downwardAPI
    - persistentVolumeClaim
- apiVersion: policy/v1beta1
  kind: PodSecurityPolicy
  metadata:
    annotations:
      seccomp.security.alpha.kubernetes.io/allowedProfileNames: '*'
    creationTimestamp: "2022-04-12T22:05:04Z"
    name: calico-node
    ownerReferences:
    - apiVersion: operator.tigera.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: Installation
      name: default
      uid: 9da5bbbb-e112-444d-8e72-580fb40e1f2a
    resourceVersion: "48032724"
    uid: 5caa97ec-ccfb-43fa-8865-a236bfb06042
  spec:
    allowPrivilegeEscalation: true
    fsGroup:
      ranges:
      - max: 65535
        min: 1
      rule: MustRunAs
    hostNetwork: true
    hostPorts:
    - max: 65535
      min: 0
    privileged: true
    requiredDropCapabilities:
    - ALL
    runAsUser:
      rule: RunAsAny
    seLinux:
      rule: RunAsAny
    supplementalGroups:
      ranges:
      - max: 65535
        min: 1
      rule: MustRunAs
    volumes:
    - configMap
    - emptyDir
    - projected
    - secret
    - downwardAPI
    - persistentVolumeClaim
    - hostPath
- apiVersion: policy/v1beta1
  kind: PodSecurityPolicy
  metadata:
    annotations:
      seccomp.security.alpha.kubernetes.io/allowedProfileNames: '*'
    creationTimestamp: "2022-04-12T22:05:04Z"
    name: calico-typha
    ownerReferences:
    - apiVersion: operator.tigera.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: Installation
      name: default
      uid: 9da5bbbb-e112-444d-8e72-580fb40e1f2a
    resourceVersion: "48032712"
    uid: e9785c3d-dcaa-4920-b7b5-9f8631a4a449
  spec:
    allowPrivilegeEscalation: false
    fsGroup:
      ranges:
      - max: 65535
        min: 1
      rule: MustRunAs
    hostNetwork: true
    hostPorts:
    - max: 65535
      min: 0
    requiredDropCapabilities:
    - ALL
    runAsUser:
      rule: MustRunAsNonRoot
    seLinux:
      rule: RunAsAny
    supplementalGroups:
      ranges:
      - max: 65535
        min: 1
      rule: MustRunAs
    volumes:
    - configMap
    - emptyDir
    - projected
    - secret
    - downwardAPI
    - persistentVolumeClaim
- apiVersion: policy/v1beta1
  kind: PodSecurityPolicy
  metadata:
    annotations:
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"policy/v1beta1","kind":"PodSecurityPolicy","metadata":{"annotations":{"seccomp.security.alpha.kubernetes.io/allowedProfileNames":"*"},"labels":{"addonmanager.kubernetes.io/mode":"Reconcile"},"name":"tigera-operator"},"spec":{"allowPrivilegeEscalation":false,"fsGroup":{"ranges":[{"max":65535,"min":1}],"rule":"MustRunAs"},"hostIPC":false,"hostNetwork":true,"hostPID":false,"hostPorts":[{"max":65535,"min":0}],"privileged":false,"readOnlyRootFilesystem":false,"requiredDropCapabilities":["ALL"],"runAsUser":{"rule":"MustRunAsNonRoot"},"seLinux":{"rule":"RunAsAny"},"supplementalGroups":{"ranges":[{"max":65535,"min":1}],"rule":"MustRunAs"},"volumes":["hostPath","configMap","emptyDir","projected","secret","downwardAPI","persistentVolumeClaim"]}}
      seccomp.security.alpha.kubernetes.io/allowedProfileNames: '*'
    creationTimestamp: "2022-04-12T21:54:50Z"
    labels:
      addonmanager.kubernetes.io/mode: Reconcile
    name: tigera-operator
    resourceVersion: "48032337"
    uid: a6442545-1664-41b3-abb3-29d7aba97036
  spec:
    allowPrivilegeEscalation: false
    fsGroup:
      ranges:
      - max: 65535
        min: 1
      rule: MustRunAs
    hostNetwork: true
    hostPorts:
    - max: 65535
      min: 0
    requiredDropCapabilities:
    - ALL
    runAsUser:
      rule: MustRunAsNonRoot
    seLinux:
      rule: RunAsAny
    supplementalGroups:
      ranges:
      - max: 65535
        min: 1
      rule: MustRunAs
    volumes:
    - hostPath
    - configMap
    - emptyDir
    - projected
    - secret
    - downwardAPI
    - persistentVolumeClaim
kind: List
metadata:
  resourceVersion: ""
